#
# spec file for package supertuxkart (Version 0.4)
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           supertuxkart
Version:        0.4.98_aka_0.5rc1
Release:        1
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Group:          Amusements/Games/3D/Race
Summary:        An enhanced version of TuxKart, a kart racing game
Source:         http://download.berlios.de/supertuxkart/%{name}-0.5rc1-src.tar.bz2
URL:            http://supertuxkart.berlios.de/
BuildRequires:  Mesa-devel gcc-c++ plib-devel update-desktop-files SDL-devel freealut-devel openal-devel libmikmod-devel tcsh freeglut-devel
BuildRequires:  libvorbis-devel

%description
SuperTuxKart is an enhanced version of TuxKart, a kart racing game,
originally done by Steve Baker, featuring Tux and a bunch of his
friends.



%prep
%setup -q -n %{name}-0.5rc1
chmod ugo-x AUTHORS COPYING NEWS README TODO

%build
#./autogen.sh
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install 
%suse_update_desktop_file -i -r supertuxkart Game ArcadeGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/games/supertuxkart
%{_datadir}/games/supertuxkart/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}_*.xpm
%{_datadir}/doc/%{name}

%changelog
* Sun Jul 15 2007 - dominique-rpm@leuenberger.net
- changed the suse_update_desktop_file to contain -r, as the original desktop file adds way to many menu entries.
* Thu Jun 28 2007 - dominique-rpm@leuenberger.net
- create package for 0.3.0rc1 (named 0.2.99 for rpm upgrade mechanism)
* Thu Feb 22 2007 - prusnak@suse.cz
- created package from BuildService (version 0.2.0)
